Sie sind nicht angemeldet.

Lieber Besucher, herzlich willkommen bei: Ubuntu-Forum & Kubuntu-Forum | www.Ubuntu-Forum.de. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

  • »franjoski« ist männlich
  • »franjoski« ist der Autor dieses Themas

Beiträge: 5

Registrierungsdatum: 31.12.2018

Derivat: Ubuntu

Version: Ubuntu 18.04 LTS - Bionic Beaver

Architektur: 64-Bit PC

Desktop: GNOME 3.0

Andere Betriebssysteme: Lubuntu, Windows10

  • Nachricht senden

1

29.04.2020, 15:28

Radiotray-ng lässt sich unter Ubuntu 20.04 nicht installieren, bzw funktioniert nicht

Hallo Fachleute :-)

Seit Ubuntu 12.04 ff nutze ich 'radiotray' in der Taskleiste. Bis zur Ubuntu Version 18.04 war immer alles gut.
Mit Ubuntu 20.04 ist das anders. Installiert, nichts passiert. Programm nicht vorhanden.
Was kann ich tun? Ich liebe diesen kleinen Radioplayer in der Taskleiste. Nachstehend, was passiert ist.

Liebe Grüße, franjoski
franz@wohnzimmer:~$ sudo snap install radiotray-ng --edge
[sudo] Passwort für franz:
radiotray-ng (edge) 0.2.7 aus Dmitry Afanasiev (dafanasiev) installiert
franz@wohnzimmer:~$ sudo radiotray-ng
mkdir: cannot create directory ‘/run/user/0’: Permission denied
XDG_RUNTIME_DIR= /run/user/0/snap.radiotray-ng
XDG_CONFIG_HOME= /root/snap/radiotray-ng/15/.config
XDG_CACHE_HOME= /root/snap/radiotray-ng/common/.cache
mkdir: cannot create directory ‘/run/user/0’: Permission denied
Could not create: /run/user/0/snap.radiotray-ng/radiotray-ng.pid
[2020-04-29 13:15:54.651904] [0x00007f20e9358ac0] [error] (config.cpp:45) - Failed to load: /root/snap/radiotray-ng/15/.config/radiotray-ng/radiotray-ng.json : No such file or directory
[2020-04-29 13:15:54.652776] [0x00007f20e9358ac0] [error] (main.cpp:134) - no default bookmarks found!
[2020-04-29 13:15:54.652811] [0x00007f20e9358ac0] [debug] (config.cpp:55) - saving: /root/snap/radiotray-ng/15/.config/radiotray-ng/radiotray-ng.json
(gst-plugin-scanner:4288): GStreamer-WARNING **: 13:15:54.799: Failed to load plugin '/snap/radiotray-ng/15/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstaasink.so': libslang.so.2: cannot open shared object file: No such file or directory
(gst-plugin-scanner:4288): GStreamer-WARNING **: 13:15:54.966: Failed to load plugin '/snap/radiotray-ng/15/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstcacasink.so': libslang.so.2: cannot open shared object file: No such file or directory
(gst-plugin-scanner:4288): GStreamer-WARNING **: 13:15:56.671: Failed to load plugin '/snap/radiotray-ng/15/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstaasink.so': libslang.so.2: cannot open shared object file: No such file or directory
(gst-plugin-scanner:4288): GStreamer-WARNING **: 13:15:56.675: Failed to load plugin '/snap/radiotray-ng/15/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstcacasink.so': libslang.so.2: cannot open shared object file: No such file or directory
No protocol specified
Unable to init server: Could not connect: Connection refused
(radiotray-ng:4149): Gtk-WARNING **: 13:15:57.020: cannot open display: :0
radiotray-ng
XDG_RUNTIME_DIR= /run/user/1000/snap.radiotray-ng
XDG_CONFIG_HOME= /home/franz/snap/radiotray-ng/15/.config
XDG_CACHE_HOME= /home/franz/snap/radiotray-ng/common/.cache
Gtk-Message: 13:22:13.334: Failed to load module "canberra-gtk-module"
Gtk-Message: 13:22:13.336: Failed to load module "canberra-gtk-module"
(radiotray-ng:5515): Gtk-WARNING **: 13:22:13.337: Error loading icon from file '/usr/share/radiotray-ng/radiotray-ng.png':
Failed to open file '/usr/share/radiotray-ng/radiotray-ng.png': No such file or directory
^C
franz@wohnzimmer:~$ sudo apt install libcanberra-gtk-module libcanberra-gtk3-module
[sudo] Passwort für franz:
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
libcanberra-gtk3-module ist schon die neueste Version (0.30-7ubuntu1).
libcanberra-gtk3-module wurde als manuell installiert festgelegt.
Die folgenden NEUEN Pakete werden installiert:
libcanberra-gtk-module libcanberra-gtk0
0 aktualisiert, 2 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
Es müssen 17,8 kB an Archiven heruntergeladen werden.
Nach dieser Operation werden 92,2 kB Plattenplatz zusätzlich benutzt.
Holen:1 http://de.archive.ubuntu.com/ubuntu focal/universe amd64 libcanberra-gtk0 amd64 0.30-7ubuntu1 [7.916 B]
Holen:2 http://de.archive.ubuntu.com/ubuntu focal/universe amd64 libcanberra-gtk-module amd64 0.30-7ubuntu1 [9.904 B]
Es wurden 17,8 kB in 0 s geholt (79,1 kB/s).
Vormals nicht ausgewähltes Paket libcanberra-gtk0:amd64 wird gewählt.
(Lese Datenbank ... 184652 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../libcanberra-gtk0_0.30-7ubuntu1_amd64.deb ...
Entpacken von libcanberra-gtk0:amd64 (0.30-7ubuntu1) ...
Vormals nicht ausgewähltes Paket libcanberra-gtk-module:amd64 wird gewählt.
Vorbereitung zum Entpacken von .../libcanberra-gtk-module_0.30-7ubuntu1_amd64.deb ...
Entpacken von libcanberra-gtk-module:amd64 (0.30-7ubuntu1) ...
libcanberra-gtk0:amd64 (0.30-7ubuntu1) wird eingerichtet ...
libcanberra-gtk-module:amd64 (0.30-7ubuntu1) wird eingerichtet ...
Trigger für libc-bin (2.31-0ubuntu9) werden verarbeitet ...

Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von »franjoski« (30.04.2020, 09:38)


  • »Aspire5742G« ist männlich

Beiträge: 47

Registrierungsdatum: 31.10.2018

Derivat: Ubuntu

Version: Ubuntu 20.04 LTS - Focal Fossa

Architektur: 64-Bit PC

Desktop: unbekannt

Andere Betriebssysteme: Linux Knoppix 8.6.1 sda3/ Knoppix 8.6.1 Flash 16GB USB sdb2

  • Nachricht senden

2

29.04.2020, 23:04

Hallo.
snap kenne ich gar nicht zum Installieren. Probiere mal zuerst Aktualisierungen Suchen,Installieren und dann sudo apt-get install ….
ich bin Ubuntu im Sinne von Desmond Tutu

  • »franjoski« ist männlich
  • »franjoski« ist der Autor dieses Themas

Beiträge: 5

Registrierungsdatum: 31.12.2018

Derivat: Ubuntu

Version: Ubuntu 18.04 LTS - Bionic Beaver

Architektur: 64-Bit PC

Desktop: GNOME 3.0

Andere Betriebssysteme: Lubuntu, Windows10

  • Nachricht senden

3

30.04.2020, 15:53

Hallo.
snap kenne ich gar nicht zum Installieren.

Schaust du hier https://wiki.ubuntuusers.de/snap/ :)

Mit sudo apt-get .... funktioniert es nicht mehr. ?(

  • »Aspire5742G« ist männlich

Beiträge: 47

Registrierungsdatum: 31.10.2018

Derivat: Ubuntu

Version: Ubuntu 20.04 LTS - Focal Fossa

Architektur: 64-Bit PC

Desktop: unbekannt

Andere Betriebssysteme: Linux Knoppix 8.6.1 sda3/ Knoppix 8.6.1 Flash 16GB USB sdb2

  • Nachricht senden

4

01.05.2020, 00:13

sudo apt install funktioniert auch nur snap ist mir neu weil ich es noch nie benutzt habe. Werde mich mal mehr dafür interessieren.
Die Warnungen Datei oder Verzeichnis existiert nicht hast Du erkannt aber weist bestimmt nicht warum. Seit der ersten Version 9.04 bis 14.04 kenne ich jede Version ab dann 4 Jahre die 18.04. Bis zur 14.04 kam nach der Installation immer als erstes Tastatur Deutsch Installieren danach Programm Update. Ab 18.04 war Deutsch im Programm Update mit drin. Die Suche nach Aktualisierungen ist immer auf wöchentlich eingestellt. Auch bei der 20.04 ist das nicht anders.
Hast Du dein Ubuntu schon einmal Aktualisiert? Wenn nicht dann Suche erst nach Aktualisierungen und installiere sie. Die Dateien werden nicht gefunden weil noch irgend ein Paket im System fehlt.
ich bin Ubuntu im Sinne von Desmond Tutu

  • »franjoski« ist männlich
  • »franjoski« ist der Autor dieses Themas

Beiträge: 5

Registrierungsdatum: 31.12.2018

Derivat: Ubuntu

Version: Ubuntu 18.04 LTS - Bionic Beaver

Architektur: 64-Bit PC

Desktop: GNOME 3.0

Andere Betriebssysteme: Lubuntu, Windows10

  • Nachricht senden

5

01.05.2020, 13:25

Hallo Aspire5742G,
Radiotray wurde aus den Paketquellen genommen, weil noch ein älteres Python und Gstreamer genutzt wird, die Abhängigkeiten sind veraltet und das Programm nicht mehr gepflegt.
Von einem Ubuntu User habe ich folgende Empfehlung bekommen.

Ähnlich dezent wie radiotray ist die gnome-shell Erweiterung "Internet Radio", die ich gerne empfehle:
https://extensions.gnome.org/extensinternet-radio/
Liebe Grüße, und noch einen schönen 1. Mai.
Und vielen Dank für deine Hilfe. :)